Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.SSL
Class SSLSocket

    java.lang.Object
      |
      +--java.net.Socket
            |
            +--weblogic.security.SSL.SSLSocket

Deprecated. Deprecated in WebLogic Server 7.0.

public class SSLSocket
extends java.net.Socket

SSLSocket is used to create a SSL connection. The SSL handshake is implemented in this class. The public interface of this class is based on java.net.Socket. Additional methods include getClientCert and getServerCert, which return the client and server certificates, respectively. The renegotiate method enables SSL connection parameters to be renegotiated dynamically. The SSLParams object specifies the particular SSL connection parameters used for the particular SSLSocket.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`SSLSocket(java.net.InetAddress ina, int port, weblogic.security.SSL.SSLParams params)` Deprecated. Create an SSL socket connection to the specified host and port, with the given SSL connection parameters.
`SSLSocket(java.net.Socket s)` Deprecated. Create an SSL socket from an already-connected cleartext socket.
`SSLSocket(java.lang.String host, int port)` Deprecated. Create an SSL socket connection to the specified host and port.
`SSLSocket(java.lang.String host, int port, weblogic.security.SSL.SSLParams params)` Deprecated. Create an SSL socket connection to the specified host and port, with the given SSL connection parameters.

Method Summary
`void` | `awaitClose()` Deprecated. Wait for connection to close.
`protected void` | `clientInit()` Deprecated.
`void` | `close()` Deprecated. Close the connection.
`void` | `close(boolean wait)` Deprecated. Close the connection with optional wait.
`void` | `ensureForceClose()` Deprecated.
`protected void` | `getChangeCipherSpec()` Deprecated.
`SSLCertificate` | `getClientCert()` Deprecated. Get the client certificate chain of the connection.
`protected weblogic.security.SSL.Handshake` | `getHandshake()` Deprecated.
`java.net.InetAddress` | `getInetAddress()` Deprecated. Get address that the socket is connected to.
`java.io.InputStream` | `getInputStream()` Deprecated. Get the input stream for the SSLSocket.
`java.net.InetAddress` | `getLocalAddress()` Deprecated. Get the local address that the socket is using.
`int` | `getLocalPort()` Deprecated. Get the local port that the socket is using.
`java.io.OutputStream` | `getOutputStream()` Deprecated. Get the output stream for the SSLSocket.
`weblogic.security.SSL.SSLParams` | `getParams()` Deprecated. Get the parameters used to create this socket.
`int` | `getPort()` Deprecated. Get port that the socket is connected to.
`SSLCertificate` | `getServerCert()` Deprecated. Get the server certificate chain of the connection.
`weblogic.security.SSL.SessionParams` | `getSessionParams()` Deprecated. Get the SSL parameters used by this SSLSocket.
`java.net.Socket` | `getSocket()` Deprecated. Return underlying socket for setting socket level options.
`int` | `getSoLinger()` Deprecated.
`int` | `getSoTimeout()` Deprecated.
`weblogic.socket.SSLFilter` | `getSSLFilter()` Deprecated. Get the SSLFilter.
`boolean` | `getTcpNoDelay()` Deprecated.
`protected void` | `initialize(java.net.Socket s, boolean client, weblogic.security.SSL.SSLParams params)` Deprecated. Initialize the SSLSocket.
`void` | `performAcceptHandshake()` Deprecated. Do the handshake.
`void` | `renegotiate(weblogic.security.SSL.SSLParams p)` Deprecated. Dynamically renegotiate the SSL connection parameters.
`protected void` | `sendAlert(int level, int description)` Deprecated.
`protected void` | `sendChangeCipherSpec()` Deprecated.
`protected void` | `sendHandshake(int type, weblogic.security.SSL.HandshakeMessage b)` Deprecated.
`protected void` | `sendRecord(weblogic.security.SSL.SSLPlaintext p)` Deprecated.
`protected void` | `serverInit()` Deprecated.
`void` | `setSoLinger(boolean onoff, int time)` Deprecated.
`void` | `setSoTimeout(int time)` Deprecated.
`void` | `setTcpNoDelay(boolean b)` Deprecated. Overidden from super class.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.net.Socket
`bind, connect, connect, getChannel, getKeepAlive, getLocalSocketAddress, getOOBInline, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setTrafficClass, shutdownInput, shutdownOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLSocket

    public SSLSocket(java.lang.String host,
                     int port)
              throws java.net.UnknownHostException,
                     java.io.IOException

  Deprecated.
  Create an SSL socket connection to the specified host and port.

  Parameters:
    `host` - the host
    `port` - the port

### SSLSocket

    public SSLSocket(java.net.Socket s)
              throws java.io.IOException

  Deprecated.
  Create an SSL socket from an already-connected cleartext socket. To be used when the protocol requires that some cleartext be exchanged before speaking SSL (for example, when proxying HTTPS).

  Parameters:
    `socket` - a connected java.net.Socket

### SSLSocket

    public SSLSocket(java.lang.String host,
                     int port,
                     weblogic.security.SSL.SSLParams params)
              throws java.net.UnknownHostException,
                     java.io.IOException

  Deprecated.
  Create an SSL socket connection to the specified host and port, with the given SSL connection parameters.

  Parameters:
    `host` - the host
    `port` - the port
    `params` - the SSL connection parameters

### SSLSocket

    public SSLSocket(java.net.InetAddress ina,
                     int port,
                     weblogic.security.SSL.SSLParams params)
              throws java.net.UnknownHostException,
                     java.io.IOException

  Deprecated.
  Create an SSL socket connection to the specified host and port, with the given SSL connection parameters.

  Parameters:
    `host` - the host
    `port` - the port
    `params` - the SSL connection parameters

Method Detail

### getSSLFilter

    public weblogic.socket.SSLFilter getSSLFilter()

  Deprecated.
  Get the SSLFilter.

### performAcceptHandshake

    public void performAcceptHandshake()
                                throws java.io.IOException

  Deprecated.
  Do the handshake. This method is meant to be invoked on unitialized sockets returned by SSLServerSocket.acceptNoHandshake. It is an error to invoke this method on an initialized socket.

### initialize

    protected void initialize(java.net.Socket s,
                              boolean client,
                              weblogic.security.SSL.SSLParams params)
                       throws java.io.IOException

  Deprecated.
  Initialize the SSLSocket.

  Parameters:
    `client` - true if client, false if server
    `params` - the SSL connection parameters

### clientInit

    protected void clientInit()
                       throws java.io.IOException

  Deprecated.

### serverInit

    protected void serverInit()
                       throws java.io.IOException

  Deprecated.

### sendHandshake

    protected void sendHandshake(int type,
                                 weblogic.security.SSL.HandshakeMessage b)
                          throws java.io.IOException

  Deprecated.

### sendAlert

    protected void sendAlert(int level,
                             int description)
                      throws java.io.IOException

  Deprecated.

### sendChangeCipherSpec

    protected void sendChangeCipherSpec()
                                 throws java.io.IOException

  Deprecated.

### sendRecord

    protected void sendRecord(weblogic.security.SSL.SSLPlaintext p)
                       throws java.io.IOException

  Deprecated.

### getHandshake

    protected weblogic.security.SSL.Handshake getHandshake()
                                                    throws java.io.IOException

  Deprecated.

### getChangeCipherSpec

    protected void getChangeCipherSpec()
                                throws java.io.IOException

  Deprecated.

### ensureForceClose

    public void ensureForceClose()

  Deprecated.

### close

    public void close()
               throws java.io.IOException

  Deprecated.
  Close the connection.

  Overrides:
    close in class java.net.Socket

### close

    public void close(boolean wait)
               throws java.io.IOException

  Deprecated.
  Close the connection with optional wait.

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Deprecated.
  Get the input stream for the SSLSocket.

  Overrides:
    getInputStream in class java.net.Socket

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Deprecated.
  Get the output stream for the SSLSocket.

  Overrides:
    getOutputStream in class java.net.Socket

### getInetAddress

    public java.net.InetAddress getInetAddress()

  Deprecated.
  Get address that the socket is connected to.

  Overrides:
    getInetAddress in class java.net.Socket

### getPort

    public int getPort()

  Deprecated.
  Get port that the socket is connected to.

  Overrides:
    getPort in class java.net.Socket

### getLocalAddress

    public java.net.InetAddress getLocalAddress()

  Deprecated.
  Get the local address that the socket is using.

  Overrides:
    getLocalAddress in class java.net.Socket

### getLocalPort

    public int getLocalPort()

  Deprecated.
  Get the local port that the socket is using.

  Overrides:
    getLocalPort in class java.net.Socket

### setTcpNoDelay

    public void setTcpNoDelay(boolean b)
                       throws java.net.SocketException

  Deprecated.
  Overidden from super class.

  Overrides:
    setTcpNoDelay in class java.net.Socket

### getTcpNoDelay

    public boolean getTcpNoDelay()
                          throws java.net.SocketException

  Deprecated.

  Overrides:
    getTcpNoDelay in class java.net.Socket

### setSoTimeout

    public void setSoTimeout(int time)
                      throws java.net.SocketException

  Deprecated.

  Overrides:
    setSoTimeout in class java.net.Socket

### getSoTimeout

    public int getSoTimeout()
                     throws java.net.SocketException

  Deprecated.

  Overrides:
    getSoTimeout in class java.net.Socket

### setSoLinger

    public void setSoLinger(boolean onoff,
                            int time)
                     throws java.net.SocketException

  Deprecated.

  Overrides:
    setSoLinger in class java.net.Socket

### getSoLinger

    public int getSoLinger()
                    throws java.net.SocketException

  Deprecated.

  Overrides:
    getSoLinger in class java.net.Socket

### getSocket

    public java.net.Socket getSocket()

  Deprecated.
  Return underlying socket for setting socket level options.

### awaitClose

    public void awaitClose()
                    throws java.io.IOException

  Deprecated.
  Wait for connection to close.

### getServerCert

    public SSLCertificate getServerCert()

  Deprecated.
  Get the server certificate chain of the connection.

### getClientCert

    public SSLCertificate getClientCert()

  Deprecated.
  Get the client certificate chain of the connection.

### getSessionParams

    public weblogic.security.SSL.SessionParams getSessionParams()

  Deprecated.
  Get the SSL parameters used by this SSLSocket.

### getParams

    public weblogic.security.SSL.SSLParams getParams()

  Deprecated.
  Get the parameters used to create this socket.

### renegotiate

    public void renegotiate(weblogic.security.SSL.SSLParams p)
                     throws java.io.IOException

  Deprecated.
  Dynamically renegotiate the SSL connection parameters.

  Parameters:
    `params` - the new SSL connection parameters

### toString

    public java.lang.String toString()

  Deprecated.

  Overrides:
    toString in class java.net.Socket

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD